#include <stdio.h>
#include <math.h>

// why equals one minus ex squared.
// trapezoidal approximation

// 3.14159265

int main(int argc, char ** argv) {
	double x, y, pi=0;
	int i;
	const int intervals = 100000;
	const double width = 2.0 / intervals;
	double area, x1, x2, y1, y2;

	for (i = 0; i < intervals; i++) {
		// calculate x1, x2
		x1 = -1 + i * width; // Boo!
		x2 = x1 + width;
		//printf("Interval: %d; x1: %f; x2: %f\n", i, x1, x2);

		y1 = sqrt(1 - x1*x1);
		y2 = sqrt(1 - x2*x2);

		// calculate subinterval's area
		area = (y1+y2) * width * 0.5;

		// accumulate interval areas
		pi += area;
	}

	pi *= 2;
	printf("** PI **: %1.15f\n", pi);
}
